Feature #6545

inconvinient require order of DL

Added by Usaku NAKAMURA almost 2 years ago. Updated over 1 year ago.

[ruby-dev:45702]
Status:Closed
Priority:Normal
Assignee:Aaron Patterson
Category:ext
Target version:2.0.0

Description

I found that test/dl/testc{struct,union}_entity.rb was broken when running
test-all with -j option.
The problem was wrong require, so I resolved them in r35901.

In the middle of this work, I noticed that dl/struct.rb didn't require
dl/value.rb although depending on it.
Moreover, I also noticed that dl/value.rb and dl/func.rb were depend on
each other and not require other one.

For this reason, to use dl/struct.rb, as r35901 showed, it is necessary
to require files with a puzzled order.
This is a very foolish demand.
I strongly recommend removing such a puzzle.

History

#1 Updated by Aaron Patterson over 1 year ago

  • Status changed from Assigned to Closed
  • % Done changed from 0 to 100

I've fixed this in r37391. The fix isn't optimal, but it is the smallest patch to fix the bug.

Also available in: Atom PDF